PWAs

GET https://pushye.com/api/pwas/
curl --request GET \
--url 'https://pushye.com/api/pwas/' \
--header 'Authorization: Bearer {api_key}' \
매개변수 세부사항 설명
search 선택 사항 문자열 검색 문자열.
search_by 선택 사항 문자열 어떤 필드로 검색하고 있습니까? 허용되는 값은: name.
datetime_field 선택 사항 문자열 허용된 값: datetime, last_datetime
datetime_start 선택 사항 문자열 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end 선택 사항 문자열 Filter results up to this datetime. Y-m-d H:i:s format.
order_by 선택 사항 문자열 결과를 정렬할 필드. 허용되는 값은: pwa_id, name, datetime, last_datetime.
order_type 선택 사항 문자열 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다.
page 선택 사항 정수 결과를 원하는 페이지 번호입니다. 기본값은 1입니다.
results_per_page 선택 사항 정수 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "name": "Example app",
            "settings": {
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "app_icon_url": "https://example.com/icon.png",
                "app_icon_maskable_url": "",
                "mobile_screenshot_urls": ["", "", "", "", "", ""],
                "desktop_screenshot_urls": ["", "", "", "", "", ""],
                "shortcuts": [
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""}
                ],
                "id": "",
                "dir": "auto",
                "lang": "en",
                "scope_url": "https://example.com/"
            },
            "manifest": {
                "name": "Example app",
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "lang": "en",
                "dir": "auto",
                "scope_url": "https://example.com/",
                "icons": [
                    {
                        "src": "https://example.com/icon.png",
                        "type": "image/png",
                        "purpose": "any",
                        "sizes": "512x512"
                    }
                ]
            },
            "last_datetime": null,
            "datetime": "2026-07-28 00:19:17"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushye.com/api/pwas?page=1",
        "last": "https://pushye.com/api/pwas?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/pwas?page=1"
    }
}
GET https://pushye.com/api/pwas/{pwa_id}
curl --request GET \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-07-28 00:19:17"
    }
}
POST https://pushye.com/api/pwas
매개변수 세부사항 설명
name 필수 문자열 The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name 선택 사항 문자열 Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description 선택 사항 문자열 Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url 선택 사항 문자열 The full URL that opens when your PWA is launched.
background_color 선택 사항 문자열 The background color used on the splash screen and while the app is loading.
theme_color 선택 사항 문자열 The browser UI color that matches your app's theme.
app_icon_url 필수 문자열 The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url 선택 사항 문자열 Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} 선택 사항 문자열 Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} 선택 사항 문자열 Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} 선택 사항 문자열 Name for the shortcut as displayed on the device.
shortcut_description_{1-3} 선택 사항 문자열 Optional description to explain the shortcut.
shortcut_url_{1-3} 선택 사항 문자열 URL the shortcut should open.
shortcut_icon_url_{1-3} 선택 사항 문자열 Make sure the icon is 128x128 pixels, PNG file.
id 선택 사항 문자열 Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display 선택 사항 문자열 허용된 값: fullscreen, standalone, minimal-ui, browser
orientation 선택 사항 문자열 허용된 값: portrait, landscape, any
dir 선택 사항 문자열 허용된 값: auto, ltr, rtl
lang 선택 사항 문자열 en for English, de for German, etc.
scope_url 선택 사항 문자열 Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pushye.com/api/pwas' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example app' \
--form 'short_name=Example' \
--form 'description=Example PWA application.' \
--form 'start_url=https://example.com/' \
--form 'app_icon_url=https://example.com/icon.png' \
--form 'background_color=#ffffff' \
--form 'theme_color=#237fff' \
--form 'lang=en' \
--form 'scope_url=https://example.com/'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "lang": "en",
            "dir": "auto",
            "scope_url": "https://example.com/",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-07-28 00:19:17"
    }
}
POST https://pushye.com/api/pwas/{pwa_id}
매개변수 세부사항 설명
name 선택 사항 문자열 The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name 선택 사항 문자열 Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description 선택 사항 문자열 Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url 선택 사항 문자열 The full URL that opens when your PWA is launched.
background_color 선택 사항 문자열 The background color used on the splash screen and while the app is loading.
theme_color 선택 사항 문자열 The browser UI color that matches your app's theme.
app_icon_url 선택 사항 문자열 The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url 선택 사항 문자열 Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} 선택 사항 문자열 Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} 선택 사항 문자열 Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} 선택 사항 문자열 Name for the shortcut as displayed on the device.
shortcut_description_{1-3} 선택 사항 문자열 Optional description to explain the shortcut.
shortcut_url_{1-3} 선택 사항 문자열 URL the shortcut should open.
shortcut_icon_url_{1-3} 선택 사항 문자열 Make sure the icon is 128x128 pixels, PNG file.
id 선택 사항 문자열 Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display 선택 사항 문자열 허용된 값: fullscreen, standalone, minimal-ui, browser
orientation 선택 사항 문자열 허용된 값: portrait, landscape, any
dir 선택 사항 문자열 허용된 값: auto, ltr, rtl
lang 선택 사항 문자열 en for English, de for German, etc.
scope_url 선택 사항 문자열 Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated example app' \
--form 'theme_color=#000000'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Updated example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#000000",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Updated example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "theme_color": "#000000",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": "2026-07-28 00:19:17",
        "datetime": "2026-07-28 00:19:17"
    }
}
DELETE https://pushye.com/api/pwas/{pwa_id}
curl --request DELETE \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \